Xerces-C++ 3.2.4

List of all members
XMLSchemaDescription Class Referenceabstract

`#include <xercesc/framework/XMLSchemaDescription.hpp>`

Inheritance diagram for XMLSchemaDescription:

## Public Member Functions
Virtual destructor for derived classes
virtual | ~XMLSchemaDescription ()
| virtual destructor More...
Implementation of Grammar Description Interface
virtual Grammar::GrammarType | getGrammarType () const
| getGrammarType More...
Public Member Functions inherited from XMLGrammarDescription
virtual | ~XMLGrammarDescription ()
| virtual destructor More...
virtual const XMLCh * | getGrammarKey () const =0
| getGrammarKey More...
MemoryManager * | getMemoryManager () const
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## The SchemaDescription Interface
enum | ContextType { CONTEXT_INCLUDE , CONTEXT_REDEFINE , CONTEXT_IMPORT , CONTEXT_PREPARSE , CONTEXT_INSTANCE , CONTEXT_ELEMENT , CONTEXT_ATTRIBUTE , CONTEXT_XSITYPE , CONTEXT_UNKNOWN }
virtual ContextType | getContextType () const =0
| getContextType More...
virtual const XMLCh * | getTargetNamespace () const =0
| getTargetNamespace More...
virtual const RefArrayVectorOf< XMLCh > * | getLocationHints () const =0
| getLocationHints More...
virtual const QName * | getTriggeringComponent () const =0
| getTriggeringComponent More...
virtual const QName * | getEnclosingElementName () const =0
| getenclosingElementName More...
virtual const XMLAttDef * | getAttributes () const =0
| getAttributes More...
virtual void | setContextType (ContextType)=0
| setContextType More...
virtual void | setTargetNamespace (const XMLCh *const)=0
| setTargetNamespace More...
virtual void | setLocationHints (const XMLCh *const)=0
| setLocationHints More...
virtual void | setTriggeringComponent (QName *const)=0
| setTriggeringComponent More...
virtual void | setEnclosingElementName (QName *const)=0
| getenclosingElementName More...
virtual void | setAttributes (XMLAttDef *const)=0
| setAttributes More...
| XMLSchemaDescription (MemoryManager *const memMgr=XMLPlatformUtils::fgMemoryManager)
| Hidden Constructors. More...

## Additional Inherited Members
Protected Member Functions inherited from XMLGrammarDescription
| XMLGrammarDescription (MemoryManager *const memMgr=XMLPlatformUtils::fgMemoryManager)
| Hidden Constructors. More...
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Member Enumeration Documentation

## ◆ ContextType

enum XMLSchemaDescription::ContextType

Enumerator
CONTEXT_INCLUDE |
CONTEXT_REDEFINE |
CONTEXT_IMPORT |
CONTEXT_PREPARSE |
CONTEXT_INSTANCE |
CONTEXT_ELEMENT |
CONTEXT_ATTRIBUTE |
CONTEXT_XSITYPE |
CONTEXT_UNKNOWN |

## Constructor & Destructor Documentation

## ◆ ~XMLSchemaDescription()

virtual XMLSchemaDescription::~XMLSchemaDescription | ( |  | ) |
| virtual

virtual destructor

## ◆ XMLSchemaDescription()

XMLSchemaDescription::XMLSchemaDescription | ( | MemoryManager *const | memMgr = `XMLPlatformUtils::fgMemoryManager` | ) |
| protected

Hidden Constructors.

## Member Function Documentation

## ◆ getAttributes()

virtual const XMLAttDef * XMLSchemaDescription::getAttributes | ( |  | ) | const
| pure virtual

getAttributes

## ◆ getContextType()

virtual ContextType XMLSchemaDescription::getContextType | ( |  | ) | const
| pure virtual

getContextType

## ◆ getEnclosingElementName()

virtual const QName * XMLSchemaDescription::getEnclosingElementName | ( |  | ) | const
| pure virtual

getenclosingElementName

## ◆ getGrammarType()

virtual Grammar::GrammarType XMLSchemaDescription::getGrammarType | ( |  | ) | const
| virtual

getGrammarType

Implements XMLGrammarDescription.

## ◆ getLocationHints()

virtual const RefArrayVectorOf< XMLCh > * XMLSchemaDescription::getLocationHints | ( |  | ) | const
| pure virtual

getLocationHints

## ◆ getTargetNamespace()

virtual const XMLCh * XMLSchemaDescription::getTargetNamespace | ( |  | ) | const
| pure virtual

getTargetNamespace

## ◆ getTriggeringComponent()

virtual const QName * XMLSchemaDescription::getTriggeringComponent | ( |  | ) | const
| pure virtual

getTriggeringComponent

## ◆ setAttributes()

virtual void XMLSchemaDescription::setAttributes | ( | XMLAttDef * const |  | ) |
| pure virtual

setAttributes

## ◆ setContextType()

virtual void XMLSchemaDescription::setContextType | ( | ContextType |  | ) |
| pure virtual

setContextType

## ◆ setEnclosingElementName()

virtual void XMLSchemaDescription::setEnclosingElementName | ( | QName * const |  | ) |
| pure virtual

getenclosingElementName

## ◆ setLocationHints()

virtual void XMLSchemaDescription::setLocationHints | ( | const XMLCh * const |  | ) |
| pure virtual

setLocationHints

## ◆ setTargetNamespace()

virtual void XMLSchemaDescription::setTargetNamespace | ( | const XMLCh * const |  | ) |
| pure virtual

setTargetNamespace

## ◆ setTriggeringComponent()

virtual void XMLSchemaDescription::setTriggeringComponent | ( | QName * const |  | ) |
| pure virtual

setTriggeringComponent

The documentation for this class was generated from the following file:

- XMLSchemaDescription.hpp